# SPDX-License-Identifier: (GPL-2.0 OR MIT)
%YAML 1.2
---
$id: http://devicetree.org/schemas/riscv/sifive.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: SiFive SoC-based boards

maintainers:
  - Paul Walmsley <paul.walmsley@sifive.com>
  - Palmer Dabbelt <palmer@sifive.com>

description:
  SiFive SoC-based boards

properties:
  $nodename:
    const: '/'
  compatible:
    items:
      - enum:
          - sifive,hifive-unleashed-a00
      - const: sifive,fu540-c000
      - const: sifive,fu540

additionalProperties: true

...
